# Uses of Class
org.eclipse.swt.graphics.ImageLoader

Packages that use ImageLoader
Package
Description
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.internal
SWT internal classes

## Uses of ImageLoader in org.eclipse.swt.graphics

Constructors in org.eclipse.swt.graphics with parameters of type ImageLoader
Modifier
Constructor
Description
``
`ImageLoaderEvent(ImageLoader source, ImageData imageData, int incrementCount, boolean endOfImage)`
Constructs a new instance of this class given the event source and the values to store in its fields.

## Uses of ImageLoader in org.eclipse.swt.internal

Methods in org.eclipse.swt.internal with parameters of type ImageLoader
Modifier and Type
Method
Description
`static ImageData`
NativeImageLoader.`load(InputStream streamAtZoom, ImageLoader imageLoader, int width, int height)`
`static List<DPIUtil.ElementAtZoom<ImageData>>`
NativeImageLoader.`load(DPIUtil.ElementAtZoom<InputStream> streamAtZoom, ImageLoader imageLoader, int targetZoom)`
`static void`
NativeImageLoader.`save(OutputStream stream, int format, ImageLoader imageLoader)`